$(document).ready(function(){
	var ctx = $("#ctx").val();//获取服务器地址
	var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
	
	/***************************    选择行业    ***************************/
	
	$(".industry_save").click(function(){
		var checkboxs = $("#selectZoneIndustryDiv input[type='checkbox']:checked");
		var ul = parent.$("#blacklist");
		var list = parent.$("#industry_blacklist").val();
		var industryId = "";
		checkboxs.each(function(){
			var id = parseInt($(this).val());
			if(list.indexOf(id) == -1){
				industryId += id+",";
				$(ul).append("<li value='"+id+"' title='"+parent.$("#industryFatherName").val()+"-"+$(this).attr("title")+"'><span id='industryName'>" + $(this).attr("title") + "</span><input type='button' class='movedel'/></li>");
			}
		});
		if(industryId != ""){
			industryId = industryId.substring(0, industryId.length-1);
			if(list == ""){
				parent.$("#industry_blacklist").val(industryId);//父层的元素
			}else {
				parent.$("#industry_blacklist").val(list+","+industryId);//父层的元素
			}
		}
		var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
		parent.layer.close(index);//再执行关闭
	});
	
	$("#selectZoneIndustryDiv input[type='checkbox']").each(function(){
		var obj = $(this);
		var ids = parent.$("#industry_blacklist").val().split(",");
		for(var i = 0,l=ids.length;i<l;i++){
			if(obj.val() == ids[i]){
				obj.attr('checked',true);
			}
		}
	});

	// 分页中超链接跳转
	$('#selectZoneIndustryDiv .pagination ul li a[href]').click(function(){
		var _page = $(this).attr('href').substr(1);
		$('#selectZoneIndustryForm').find('input:hidden[name="page"]').val(_page);
		$('#selectZoneIndustryForm').submit();
	});

});